gsm_04_08_gprs.c File Reference
`#include <osmocom/gsm/protocol/gsm_04_08_gprs.h>`
`#include <osmocom/crypt/gprs_cipher.h>`
`#include <osmocom/core/utils.h>`
`#include <stdbool.h>`

## Functions

bool | gprs_ms_net_cap_gea_supported (const uint8_t *ms_net_cap, uint8_t cap_len, enum gprs_ciph_algo gea)
| Check if MS supports particular version of GEA by inspecting MS network capability IE specified in 3GPP TS 24.008. More...

## Variables

const struct value_string | gsm48_gmm_cause_names_ []
| 10.5.5.14 GPRS MM Cause / Table 10.5.147 More...
const struct value_string * | gsm48_gmm_cause_names = gsm48_gmm_cause_names_
const struct value_string | gsm48_gsm_cause_names_ []
| 10.5.6.6 SM Cause / Table 10.5.157 More...
const struct value_string * | gsm48_gsm_cause_names = gsm48_gsm_cause_names_
const struct value_string | gprs_msgt_gmm_names []
| String names of GMM message types. More...
const struct value_string | gprs_att_t_strs_ []
| String names of GPRS Attach types according to 10.5.5.2. More...
const struct value_string * | gprs_att_t_strs = gprs_att_t_strs_
const struct value_string | gprs_upd_t_strs_ []
| String names of GPRS Location Update Types. More...
const struct value_string * | gprs_upd_t_strs = gprs_upd_t_strs_
const struct value_string | gprs_det_t_mo_strs_ []
| String names of GMM MO Detach Types according to 10.5.5.5. More...
const struct value_string * | gprs_det_t_mo_strs = gprs_det_t_mo_strs_
const struct value_string | gprs_det_t_mt_strs_ []
| String names of GMM MT Detach Types according to 10.5.5.5. More...
const struct value_string * | gprs_det_t_mt_strs = gprs_det_t_mt_strs_
const struct value_string | gprs_service_t_strs_ []
| String names of GMM Service Types. More...
const struct value_string * | gprs_service_t_strs = gprs_service_t_strs_